Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.subsumption
Class SubsumptionTreeNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protegex.owl.ui.subsumption.SubsumptionTreeNode

All Implemented Interfaces:
  TreeNode

    public class SubsumptionTreeNode

extends edu.stanford.smi.protege.util.LazyTreeNode

A LazyTreeNode for an inferred or asserted subsumption relationship between classes.

Author:
  Holger Knublauch

Constructor Summary
`SubsumptionTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parentNode, edu.stanford.smi.protege.model.Cls parentCls, edu.stanford.smi.protege.model.Slot ownSlot)`

Method Summary
`protected edu.stanford.smi.protege.util.LazyTreeNode` | `createNode(Object o)`
`protected void` | `dispose()`
`protected int` | `getChildObjectCount()`
`protected Collection` | `getChildObjects()`
`edu.stanford.smi.protege.model.Cls` | `getCls()`
`protected Comparator` | `getComparator()`
`protected void` | `notifyNodeChanged()`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubsumptionTreeNode

    public SubsumptionTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parentNode,
                               edu.stanford.smi.protege.model.Cls parentCls,
                               edu.stanford.smi.protege.model.Slot ownSlot)

Method Detail

### createNode

    protected edu.stanford.smi.protege.util.LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### dispose

    protected void dispose()

  Overrides:
    `dispose` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildObjectCount

    protected int getChildObjectCount()

  Specified by:
    `getChildObjectCount` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildObjects

    protected Collection getChildObjects()

  Specified by:
    `getChildObjects` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getCls

    public edu.stanford.smi.protege.model.Cls getCls()

### getComparator

    protected Comparator getComparator()

  Specified by:
    `getComparator` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### notifyNodeChanged

    protected void notifyNodeChanged()

### toString

    public String toString()

  Overrides:
    `toString` in class `edu.stanford.smi.protege.util.LazyTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.